python-adios_1.11.0-2build2_i386.deb


Advertisement

Description

python-adios - Python interface to the ADIOS IO system

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-adios
Package version 1.11.0
Package release 2build2
Package architecture i386
Package type deb
Installed size 2.64 KB
Download size 597.12 KB
Official Mirror archive.ubuntu.com
This is a Python2 interface to ADIOS.
The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
to describe the data in their code that may need to be written, read,
or processed outside of the running simulation. By providing an external
to the code XML file describing the various elements, their types, and
how you wish to process them this run, the routines in the host code
(either Fortran or C) can transparently change how they process the data.

Alternatives

Package Version Architecture Repository
python-adios_1.11.0-2build2_amd64.deb 1.11.0 amd64 Ubuntu Universe
python-adios - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.17
libgcc1 >= 1:4.2
libhdf5-openmpi-100 >= 1.8.14
libopenmpi2 -
libstdc++6 >= 5
libsz2 -
python >= 2.7~
python << 2.8
python2.7 -
python3-adios -
python:any >= 2.7.5-5~
python:any << 2.8
zlib1g >= 1:1.1.4

Provides

Name Value
python2.7-adios -

Replaces

Name Value
libadios-bin << 1.8.0-2
libadios-dev << 1.8.0-2

Download

Type URL
Binary Package python-adios_1.11.0-2build2_i386.deb
Source Package adios

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-adios deb package:
    # sudo apt-get install python-adios

Files

Path
/usr/lib/python2.7/dist-packages/adios-1.11.0b1.egg-info
/usr/lib/python2.7/dist-packages/adios_mpi-1.11.0b1.egg-info
/usr/lib/python2.7/dist-packages/adios/__init__.py
/usr/lib/python2.7/dist-packages/adios/adios.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/adios/_hl/__init__.py
/usr/lib/python2.7/dist-packages/adios/_hl/selections.py
/usr/lib/python2.7/dist-packages/adios_mpi/__init__.py
/usr/lib/python2.7/dist-packages/adios_mpi/adios_mpi.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/adios_mpi/_hl/__init__.py
/usr/lib/python2.7/dist-packages/adios_mpi/_hl/selections.py
/usr/share/doc/python-adios/changelog.Debian.gz
/usr/share/doc/python-adios/copyright

Changelog

2017-09-05 - Matthias Klose <doko@ubuntu.com>
adios (1.11.0-2build2) artful; urgency=medium
* No-change rebuild to drop _PyFPE support.
2017-08-05 - Matthias Klose <doko@ubuntu.com>
adios (1.11.0-2build1) artful; urgency=medium
* No-change rebuild to build to drop python3.5.
2017-04-21 - Alastair McKinstry <mckinstry@debian.org>
adios (1.11.0-2) unstable; urgency=medium
* Fix support for multiple py3 versions. Closes: #867177
* S-V: 4.0.0. No other changes required
2016-11-21 - Alastair McKinstry <mckinstry@debian.org>
adios (1.11.0-1) unstable; urgency=medium
* New upstream release
* Obsolete patches: 
- typedef-bool-already-defined.patch
- version-fix.patch
* Don't ship ad_config as bin but as python helper module
2016-10-23 - Alastair McKinstry <mckinstry@debian.org>
adios (1.10.1-1) unstable; urgency=medium
* New upstream release
- sh4.patch obsolete
- python3 now upstream in adios.
- security.patch now merged upstream
* DH_COMPAT=10
* New patch type-bool-already-defined.patch to fix FTBFS against HDF5 1.10.
Thanks to Giles Filippini, Closes: #841967
2016-08-25 - Alastair McKinstry <mckinstry@debian.org>
adios (1.9.0-12) unstable; urgency=medium
* Fix for gcc 6.2: Don't define 'bool', its provided.
* Regresssion: adios_config -d now works. Closes: #834929.
* Remove unnnecessary build-dependency on bash.
2016-06-20 - Alastair McKinstry <mckinstry@debian.org>
adios (1.9.0-11) unstable; urgency=medium
* Don't use -lcr for hppa. Closes: #827574
2016-06-17 - Alastair McKinstry <mckinstry@debian.org>
adios (1.9.0-10) unstable; urgency=medium
* Standards-Version: 3.9.8; no changes required
* Hard-code shell in debian/rules for reproducibility
2016-03-22 - Alastair McKinstry <mckinstry@debian.org>
adios (1.9.0-9) unstable; urgency=medium
* Add SZIP support.
* Remove hppa, x32 specific rules for mpich. Default to openmpi
* Fix for libc6 (2.23 in experimental). Closes: #818825
2016-02-26 - Alastair McKinstry <mckinstry@debian.org>
adios (1.9.0-8) unstable; urgency=medium
* Build s390x on openmpi default. Don't try to link against -lmpich.

See Also

Package Description
python-admesh_0.98.7-1build1_i386.deb Python bindings for the ADMesh (Python 2)
python-adns_1.2.1-5build3_i386.deb Python bindings to the asynchronous DNS resolver library
python-adodb_2.10-2_all.deb A database abstraction library for python
python-aff4_0.24.post1-3_all.deb AFF4 - The Advanced Forensics File Format - Python 2 bindings
python-affine_2.1.0-1_all.deb Python Library for handling affine transformations of the plane
python-afl_0.6.1-1build1_i386.deb American Fuzzy Lop (afl) for pure Python code
python-agate-doc_1.6.0-3_all.deb documentation for agate
python-agatedbf-doc_0.2.0-2_all.deb documentation for agate-dbf
python-agateexcel-doc_0.2.1-3_all.deb documentation for agate-excel
python-agatesql-doc_0.5.2-2_all.deb documentation for agate-sql
python-aiml_0.8.6-2_all.deb Artificial Intelligence Markup Language interpreter for Python
python-aiocoap-doc_0.3-1_all.deb Python implementation of CoAP (doc)
python-aiodns_1.1.1-1_all.deb Asynchronous DNS resolver library for Python
python-aioeventlet-doc_0.5.1-1ubuntu1_all.deb asyncio event loop scheduling callbacks in eventlet - doc
python-aioeventlet_0.5.1-1ubuntu1_all.deb asyncio event loop scheduling callbacks in eventlet - Python 2.x
Advertisement
Advertisement